from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.0.1.4'
DESCRIPTION = 'pyEnGNet: optimized reconstruction of gene co-expression networks using multi-GPU'
LONG_DESCRIPTION = 'pyEnGNet: optimized reconstruction of gene co-expression networks using multi-GPU'

# Setting up
setup(
    name="pyEnGNet",
    version=VERSION,
    author="Aurelio Lopez-Fernandez",
    author_email="alopfer1@upo.es",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=LONG_DESCRIPTION,
    packages=find_packages(),
    install_requires=['numpy', 'tqdm', 'multiprocess', 'pandas', 'matplotlib', 'networkx', 'scipy'],
    keywords=['python', 'multiGPU', 'bioinformatics', 'vgene networks'],
    classifiers=[
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent",
    ]
)